Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.util
Class DataTypeBean

    java.lang.Object
      com.jaspersoft.jasperserver.util.ResourceBean
          com.jaspersoft.jasperserver.util.DataTypeBean

    public class DataTypeBean

extends ResourceBean

Version:
  $Id: DataTypeBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Constructor Summary
`DataTypeBean()`

Method Summary
`java.lang.Integer` | `getDecimals()`
`boolean` | `getIsStrictMax()`
`boolean` | `getIsStrictMin()`
`java.lang.Integer` | `getMaxLength()`
`java.lang.String` | `getMaxValue()`
`java.lang.String` | `getMinValue()`
`java.lang.String` | `getRegularExpr()`
`byte` | `getType()`
`void` | `setDecimals(java.lang.Integer decimals)`
`void` | `setIsStrictMax(boolean isStrictMax)`
`void` | `setIsStrictMin(boolean isStrictMin)`
`void` | `setMaxLength(java.lang.Integer maxLength)`
`void` | `setMaxValue(java.lang.String maxValue)`
`void` | `setMinValue(java.lang.String minValue)`
`void` | `setRegularExpr(java.lang.String regularExpr)`
`void` | `setType(byte type)`

Methods inherited from class com.jaspersoft.jasperserver.util.ResourceBean
`getCreationDate, getDescription, getIsNew, getIsUriReference, getLabel, getName, getParentFolder, getProductReleaseVersion, getResourceBeanType, getResourceType, getUriString, getVersion, setCreationDate, setDescription, setIsNew, setIsUriReference, setLabel, setName, setParentFolder, setProductReleaseVersion, setResourceBeanType, setResourceType, setUriString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataTypeBean

    public DataTypeBean()

Method Detail

### getDecimals

    public java.lang.Integer getDecimals()

### setDecimals

    public void setDecimals(java.lang.Integer decimals)

### getIsStrictMax

    public boolean getIsStrictMax()

### setIsStrictMax

    public void setIsStrictMax(boolean isStrictMax)

### getIsStrictMin

    public boolean getIsStrictMin()

### setIsStrictMin

    public void setIsStrictMin(boolean isStrictMin)

### getMaxLength

    public java.lang.Integer getMaxLength()

### setMaxLength

    public void setMaxLength(java.lang.Integer maxLength)

### getMaxValue

    public java.lang.String getMaxValue()

### setMaxValue

    public void setMaxValue(java.lang.String maxValue)

### getMinValue

    public java.lang.String getMinValue()

### setMinValue

    public void setMinValue(java.lang.String minValue)

### getRegularExpr

    public java.lang.String getRegularExpr()

### setRegularExpr

    public void setRegularExpr(java.lang.String regularExpr)

### getType

    public byte getType()

### setType

    public void setType(byte type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.